import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { CMTime } from "../structs/CMTime.js";
export declare class _AVMetricEvent extends _NSObject {
    static alloc(): _AVMetricEvent;
    static new(): _AVMetricEvent;
    init(): _AVMetricEvent;
    /** Returns the date when the event occurred. */
    date(): _NSDate;
    /** Returns the time in the media timeline when the event occured. */
    mediaTime(): CMTime;
    /** A GUID that identifies the media session. If not available, value is nil. */
    sessionID(): _NSString | null;
}
export interface _AVMetricEvent extends _NSSecureCoding {
}
